diff --git a/setup.py b/setup.py
index 17abe9a..81422db 100644
--- a/setup.py
+++ b/setup.py
@@ -6,9 +6,13 @@ install_requires = ["execnet>=1.1", "pytest>=4.4.0", "pytest-forked", "six"]
 with open("README.rst") as f:
     long_description = f.read()
 
+import os
+with open("xdist/_version.py", 'wt') as fp:
+    fp.write('version = "{}"'.format(os.environ['PV']))
+
 setup(
     name="pytest-xdist",
-    use_scm_version={"write_to": "xdist/_version.py"},
+    version=os.environ['PV'],
     description="pytest xdist plugin for distributed testing"
     " and loop-on-failing modes",
     long_description=long_description,
@@ -24,7 +28,6 @@ setup(
     zip_safe=False,
     python_requires=">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*",
     install_requires=install_requires,
-    setup_requires=["setuptools_scm"],
     classifiers=[
         "Development Status :: 5 - Production/Stable",
         "Framework :: Pytest",
